> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/models/v3extensionsmsteamsmsteamsconfigresponse.md).

# V3ExtensionsMSTeamsMSTeamsConfigResponse

The request body for creating or updating an MS Teams extension configuration.

## Fields

| Field                         | Type                                                                                                                                     | Required             | Description                                                                                                                                   |
| ----------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------- | -------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `custom_incident_alert_state` | [Optional\[models.V3ExtensionsMSTeamsIncidentActionAlertState\]](/python-sdk/docs/models/v3extensionsmsteamsincidentactionalertstate.md) | :heavy\_minus\_sign: | A user-friendly way to configure which incident action alerts are active. This is translated by the backend into the 'triggers.custom' array. |
| `id`                          | *Optional\[str]*                                                                                                                         | :heavy\_minus\_sign: | The MongoDB ObjectID of the extension document. Should be included for updates.                                                               |
| `organization_id`             | *Optional\[str]*                                                                                                                         | :heavy\_minus\_sign: | The MongoDB ObjectID of the organization this extension belongs to.                                                                           |
| `default_conversation_name`   | *str*                                                                                                                                    | :heavy\_check\_mark: | The display name for the default conversation/channel.                                                                                        |
| `default_conversation_id`     | *str*                                                                                                                                    | :heavy\_check\_mark: | The unique identifier for the default MS Teams conversation/channel.                                                                          |
| `is_active`                   | *bool*                                                                                                                                   | :heavy\_check\_mark: | A master switch to enable or disable the entire integration.                                                                                  |
| `is_default_active`           | *bool*                                                                                                                                   | :heavy\_check\_mark: | Determines if notifications should be sent to the default channel.                                                                            |
| `is_custom_channels_active`   | *bool*                                                                                                                                   | :heavy\_check\_mark: | Determines if notifications should be sent to custom-configured channels.                                                                     |
| `triggers`                    | [models.V3ExtensionsMSTeamsTriggers](/python-sdk/docs/models/v3extensionsmsteamstriggers.md)                                             | :heavy\_check\_mark: | Configuration for which alerts are sent to the MS Teams channel.                                                                              |
| `tenant_id`                   | *str*                                                                                                                                    | :heavy\_check\_mark: | The Azure AD Tenant ID of the organization that owns this extension.                                                                          |
| `from_id`                     | *str*                                                                                                                                    | :heavy\_check\_mark: | The Azure AD Object ID of the user who created this extension.                                                                                |
| `connected_teams`             | List\[[models.V3ExtensionsMSTeamsConnectedTeams](/python-sdk/docs/models/v3extensionsmsteamsconnectedteams.md)]                          | :heavy\_check\_mark: | A list of all MS Teams (teams) connected to this organization.                                                                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/models/v3extensionsmsteamsmsteamsconfigresponse.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
